package br.mp.mprj.portal.portlet.gestaomensagens.search;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.portlet.PortletRequest;
import javax.swing.text.html.HTMLEditorKit.Parser;

import br.mp.mprj.portal.portlet.gestaomensagens.search.indexer.GrupoDestinatarioIndexer;
import br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario;
import br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.GrupoDestinatarioImpl;
import br.mp.mprj.portal.portlet.gestaomensagens.service.service.GrupoDestinatarioLocalServiceUtil;
import br.mp.mprj.portal.portlet.gestaomensagens.util.Constantes;
import br.mp.mprj.portal.portlet.gestaomensagens.util.GestaoMensagensUtil;
import br.mp.mprj.portal.portlet.gestaomensagens.util.SearchUtil;

import com.liferay.portal.kernel.exception.PortalException;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.kernel.search.BooleanClauseOccur;
import com.liferay.portal.kernel.search.BooleanQuery;
import com.liferay.portal.kernel.search.BooleanQueryFactoryUtil;
import com.liferay.portal.kernel.search.Document;
import com.liferay.portal.kernel.search.Field;
import com.liferay.portal.kernel.search.Hits;
import com.liferay.portal.kernel.search.ParseException;
import com.liferay.portal.kernel.search.SearchContext;
import com.liferay.portal.kernel.search.SearchContextFactory;
import com.liferay.portal.kernel.search.SearchEngineUtil;
import com.liferay.portal.kernel.search.SearchException;
import com.liferay.portal.kernel.search.Sort;
import com.liferay.portal.kernel.search.SortFactoryUtil;
import com.liferay.portal.kernel.util.GetterUtil;
import com.liferay.portal.kernel.util.ParamUtil;
import com.liferay.portal.kernel.util.StringParser;
import com.liferay.portal.kernel.util.Validator;
import com.liferay.portal.kernel.util.WebKeys;
import com.liferay.portal.theme.ThemeDisplay;
import com.liferay.portal.util.PortalUtil;

public class GrupoDestinatarioSearch {
	
	private static final Sort[] SORT_PADRAO = {SortFactoryUtil.create("nome_sortable", false)};
	
	public static Map<Integer ,List<GrupoDestinatario>>  pesquisar(PortletRequest req ,  long companyId , 
			int posicaoInicial , int tamanho , String ordem, boolean agrupamento) 
			throws ParseException, SearchException {
		
		List<GrupoDestinatario> list = new ArrayList<GrupoDestinatario>();
		String tipoLista = "";
		Sort [] ordenacao = null;
		String nome = "";
		
		ThemeDisplay themeDisplay = (ThemeDisplay) req.getAttribute(WebKeys.THEME_DISPLAY);

		long groupId = themeDisplay.getScopeGroupId();
		String groupIdStr = String.valueOf(groupId);
		
		//if (Validator.isNotNull(ParamUtil.getString(req, Constantes.TIPO_LISTA))){
		if (!"".equals(ParamUtil.getString(req, Constantes.TIPO_LISTA))){
			tipoLista = ParamUtil.getString(req, Constantes.TIPO_LISTA);
		} else if ("".equals(ParamUtil.getString(req, "operacao"))
				&& !"".equals(ParamUtil.getString(req, "tipoListaParam"))
				&& !"-1".equals(ParamUtil.getString(req, "tipoListaParam"))){
			tipoLista = ParamUtil.getString(req, "tipoListaParam");
		}
		//}
		
		if (!"".equals(ParamUtil.getString(req, "nomeListaDestinatarioSearch"))){
			nome = ParamUtil.getString(req, "nomeListaDestinatarioSearch");
		} else if ("".equals(ParamUtil.getString(req, "operacao"))
				&& !"".equals(ParamUtil.getString(req, "nome"))){
			nome = ParamUtil.getString(req, "nome");
		}
		
		SearchContext sc = SearchContextFactory.
				getInstance(PortalUtil.getHttpServletRequest(req));
		
		sc.setAndSearch(true);
		sc.setEntryClassNames(GrupoDestinatarioIndexer.CLASS_NAMES);
		
		if (ordem == null || "".equals(ordem)){
			ordenacao = SORT_PADRAO;
		}else{
			Sort[] temp = {SortFactoryUtil.create(ordem, ("desc".equals(ParamUtil.getString(req, "orderByType")) ? true : false ))};
			ordenacao = temp;
		}
		sc.setSorts(ordenacao);
		
		BooleanQuery query = BooleanQueryFactoryUtil.create(sc);
		
		//utilizar desta definicao para, criando outro BooleanQuery para aplicar o BooleanClauseOccur, 
		//evitar resultados incorretos ao utilizar BooleanQuery.
		BooleanQuery bqEntryClassName = BooleanQueryFactoryUtil.create(sc);
		bqEntryClassName.addExactTerm(Field.ENTRY_CLASS_NAME, GrupoDestinatario.class.getName());
		
		//forcar que o entryClassName seja obrigatorio na query gerada pela API, 
		//para evitar resultados incorretos de outras entidades.
		query.add(bqEntryClassName, BooleanClauseOccur.MUST);
		
		if (Validator.isNotNull(nome)) {
			query.addTerm("+nome", nome, true);
		}
		
		if (Validator.isNotNull(tipoLista)) {
			query.addTerm("+tipoLista", tipoLista);
		}
		query.addTerm("+groupId",groupIdStr ,  true);
		query.addTerm("+ativo", "true", true);
		if (agrupamento){
			
			BooleanQuery criterioDataTemporaria = BooleanQueryFactoryUtil.create(sc);
			
			criterioDataTemporaria.addTerm("+dataFinalListaTemporaria", "[ " + SearchUtil.getDateFormat().format(new Date())   +  " TO "  +"* ]", true);
			criterioDataTemporaria.addTerm("+listaTemporaria", "true", true);
			
			BooleanQuery criterioListaTemporariaFalsa = BooleanQueryFactoryUtil.create(sc);
			
			criterioListaTemporariaFalsa.addTerm("+listaTemporaria", "false", true);
			
			BooleanQuery agrupadorTemporario = BooleanQueryFactoryUtil.create(sc);
			agrupadorTemporario.add(criterioDataTemporaria, BooleanClauseOccur.SHOULD);
			agrupadorTemporario.add(criterioListaTemporariaFalsa, BooleanClauseOccur.SHOULD);

			query.add(agrupadorTemporario, BooleanClauseOccur.MUST);
		}
		
		Map<Integer , List<GrupoDestinatario>> retorno = new HashMap<>();
		
		
	/*	if (nome == null || "".equals(nome)){
			
			try {
				list = GrupoDestinatarioLocalServiceUtil.listaTodos();
			} catch (SystemException e) {
				throw new SearchException(e);
			}
			
			retorno.put(list.size(), list);
			
		} else { */
		
			Hits hits = SearchEngineUtil.search(sc.getSearchEngineId(), companyId, query, ordenacao  , posicaoInicial , tamanho );
			
			//fazer o parse dos resultados
			for (Document doc : hits.getDocs()) {
				try {
					GrupoDestinatario grupoDestinatario = GrupoDestinatarioLocalServiceUtil
								.getGrupoDestinatario(
										GetterUtil.getLong(
												doc.get(Field.ENTRY_CLASS_PK)));
					if (grupoDestinatario.getAtivo()) {
						list.add(grupoDestinatario);
					}
				}
				catch (SystemException|PortalException ex) {
					GestaoMensagensUtil.descartarRascunhos(req);
					throw new SearchException(ex);
				}
			}
			

			retorno.put(hits.getLength(), list);
		//}	
		
		
		return retorno;
	}
	
	public static List<GrupoDestinatario>  pesquisar(PortletRequest req ,long companyId , int tipoLista, boolean agrupamento ) 
			throws ParseException, SearchException {
		
		final List<GrupoDestinatario> list = new ArrayList<GrupoDestinatario>();
		
		SearchContext sc = SearchContextFactory.
				getInstance(PortalUtil.getHttpServletRequest(req));
		
		ThemeDisplay themeDisplay = (ThemeDisplay) req.getAttribute(WebKeys.THEME_DISPLAY);

		long groupId = themeDisplay.getScopeGroupId();
		String groupIdStr = String.valueOf(groupId);
		
		sc.setAndSearch(true);
		sc.setEntryClassNames(GrupoDestinatarioIndexer.CLASS_NAMES);
		sc.setSorts(SORT_PADRAO);
		
		BooleanQuery query = BooleanQueryFactoryUtil.create(sc);
		
		//utilizar desta definicao para, criando outro BooleanQuery para aplicar o BooleanClauseOccur, 
		//evitar resultados incorretos ao utilizar BooleanQuery.
		BooleanQuery bqEntryClassName = BooleanQueryFactoryUtil.create(sc);
		bqEntryClassName.addExactTerm(Field.ENTRY_CLASS_NAME, GrupoDestinatario.class.getName());
		
		//forcar que o entryClassName seja obrigatorio na query gerada pela API, 
		//para evitar resultados incorretos de outras entidades.
		query.add(bqEntryClassName, BooleanClauseOccur.MUST);
		
		if (Validator.isNotNull(tipoLista)) {
			query.addTerm("+tipoLista", tipoLista);
		}
		
		query.addTerm("+ativo", "true", true);
		query.addTerm("+groupId",groupIdStr ,  true);
		
		if (agrupamento){
			
			BooleanQuery criterioDataTemporaria = BooleanQueryFactoryUtil.create(sc);
			
			criterioDataTemporaria.addTerm("+dataFinalListaTemporaria", "[ " + SearchUtil.getDateFormat().format(new Date())   +  " TO "  +"* ]", true);
			criterioDataTemporaria.addTerm("+listaTemporaria", "true", true);
			
			BooleanQuery criterioListaTemporariaFalsa = BooleanQueryFactoryUtil.create(sc);
			
			criterioListaTemporariaFalsa.addTerm("+listaTemporaria", "false", true);
			
			BooleanQuery agrupadorTemporario = BooleanQueryFactoryUtil.create(sc);
			agrupadorTemporario.add(criterioDataTemporaria, BooleanClauseOccur.SHOULD);
			agrupadorTemporario.add(criterioListaTemporariaFalsa, BooleanClauseOccur.SHOULD);

			query.add(agrupadorTemporario, BooleanClauseOccur.MUST);
		}

		Hits hits = SearchEngineUtil.search(sc, query);
		
		
		//fazer o parse dos resultados
		for (Document doc : hits.getDocs()) {
			
			GrupoDestinatario grupo = new GrupoDestinatarioImpl();
			grupo.setGrupoDestinatarioId(GetterUtil.getLong(doc.get(Field.ENTRY_CLASS_PK)));
			grupo.setNome(doc.get("nome"));
			grupo.setFinalidade(doc.get("finalidade"));
			grupo.setCompanyId((GetterUtil.getLong(doc.get("companyId"))));
			grupo.setTipoLista(GetterUtil.getInteger(doc.get("tipoLista")));
			list.add(grupo);
		}
		
		return list;
	}
}
