package br.mp.mprj.portal.portlet.gestaomensagens.service.model;

import java.io.Serializable;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * This class is used by SOAP remote services.
 *
 * @author Henrique Simoes
 * @generated
 */
public class AnexoMensagemSoap implements Serializable {
    private String _uuid;
    private long _anexoMensagemId;
    private long _mensagemId;
    private long _companyId;
    private long _groupId;
    private long _userId;
    private Date _dataCriacao;
    private String _anexoUrl;
    private String _fileName;
    private String _versao;
    private String _contentType;
    private boolean _ativo;
    private long _anexoFileEntryId;
    private String _anexoPath;

    public AnexoMensagemSoap() {
    }

    public static AnexoMensagemSoap toSoapModel(AnexoMensagem model) {
        AnexoMensagemSoap soapModel = new AnexoMensagemSoap();

        soapModel.setUuid(model.getUuid());
        soapModel.setAnexoMensagemId(model.getAnexoMensagemId());
        soapModel.setMensagemId(model.getMensagemId());
        soapModel.setCompanyId(model.getCompanyId());
        soapModel.setGroupId(model.getGroupId());
        soapModel.setUserId(model.getUserId());
        soapModel.setDataCriacao(model.getDataCriacao());
        soapModel.setAnexoUrl(model.getAnexoUrl());
        soapModel.setFileName(model.getFileName());
        soapModel.setVersao(model.getVersao());
        soapModel.setContentType(model.getContentType());
        soapModel.setAtivo(model.getAtivo());
        soapModel.setAnexoFileEntryId(model.getAnexoFileEntryId());
        soapModel.setAnexoPath(model.getAnexoPath());

        return soapModel;
    }

    public static AnexoMensagemSoap[] toSoapModels(AnexoMensagem[] models) {
        AnexoMensagemSoap[] soapModels = new AnexoMensagemSoap[models.length];

        for (int i = 0; i < models.length; i++) {
            soapModels[i] = toSoapModel(models[i]);
        }

        return soapModels;
    }

    public static AnexoMensagemSoap[][] toSoapModels(AnexoMensagem[][] models) {
        AnexoMensagemSoap[][] soapModels = null;

        if (models.length > 0) {
            soapModels = new AnexoMensagemSoap[models.length][models[0].length];
        } else {
            soapModels = new AnexoMensagemSoap[0][0];
        }

        for (int i = 0; i < models.length; i++) {
            soapModels[i] = toSoapModels(models[i]);
        }

        return soapModels;
    }

    public static AnexoMensagemSoap[] toSoapModels(List<AnexoMensagem> models) {
        List<AnexoMensagemSoap> soapModels = new ArrayList<AnexoMensagemSoap>(models.size());

        for (AnexoMensagem model : models) {
            soapModels.add(toSoapModel(model));
        }

        return soapModels.toArray(new AnexoMensagemSoap[soapModels.size()]);
    }

    public long getPrimaryKey() {
        return _anexoMensagemId;
    }

    public void setPrimaryKey(long pk) {
        setAnexoMensagemId(pk);
    }

    public String getUuid() {
        return _uuid;
    }

    public void setUuid(String uuid) {
        _uuid = uuid;
    }

    public long getAnexoMensagemId() {
        return _anexoMensagemId;
    }

    public void setAnexoMensagemId(long anexoMensagemId) {
        _anexoMensagemId = anexoMensagemId;
    }

    public long getMensagemId() {
        return _mensagemId;
    }

    public void setMensagemId(long mensagemId) {
        _mensagemId = mensagemId;
    }

    public long getCompanyId() {
        return _companyId;
    }

    public void setCompanyId(long companyId) {
        _companyId = companyId;
    }

    public long getGroupId() {
        return _groupId;
    }

    public void setGroupId(long groupId) {
        _groupId = groupId;
    }

    public long getUserId() {
        return _userId;
    }

    public void setUserId(long userId) {
        _userId = userId;
    }

    public Date getDataCriacao() {
        return _dataCriacao;
    }

    public void setDataCriacao(Date dataCriacao) {
        _dataCriacao = dataCriacao;
    }

    public String getAnexoUrl() {
        return _anexoUrl;
    }

    public void setAnexoUrl(String anexoUrl) {
        _anexoUrl = anexoUrl;
    }

    public String getFileName() {
        return _fileName;
    }

    public void setFileName(String fileName) {
        _fileName = fileName;
    }

    public String getVersao() {
        return _versao;
    }

    public void setVersao(String versao) {
        _versao = versao;
    }

    public String getContentType() {
        return _contentType;
    }

    public void setContentType(String contentType) {
        _contentType = contentType;
    }

    public boolean getAtivo() {
        return _ativo;
    }

    public boolean isAtivo() {
        return _ativo;
    }

    public void setAtivo(boolean ativo) {
        _ativo = ativo;
    }

    public long getAnexoFileEntryId() {
        return _anexoFileEntryId;
    }

    public void setAnexoFileEntryId(long anexoFileEntryId) {
        _anexoFileEntryId = anexoFileEntryId;
    }

    public String getAnexoPath() {
        return _anexoPath;
    }

    public void setAnexoPath(String anexoPath) {
        _anexoPath = anexoPath;
    }
}
