package br.mp.mprj.portal.portlet.gestaomensagens.service.model;

import java.io.Serializable;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * This class is used by SOAP remote services, specifically {@link br.mp.mprj.portal.portlet.gestaomensagens.service.service.http.GrupoDestinatarioServiceSoap}.
 *
 * @author Henrique Simoes
 * @see br.mp.mprj.portal.portlet.gestaomensagens.service.service.http.GrupoDestinatarioServiceSoap
 * @generated
 */
public class GrupoDestinatarioSoap implements Serializable {
    private String _uuid;
    private long _grupoDestinatarioId;
    private long _companyId;
    private long _groupId;
    private long _userId;
    private String _nome;
    private String _finalidade;
    private String _userIdResponsaveis;
    private boolean _listaTemporaria;
    private Date _dataFinalListaTemporaria;
    private boolean _envioEmNomeLista;
    private String _userIdNomesLista;
    private boolean _listaModerada;
    private String _userIdListaModerada;
    private boolean _ativo;
    private Date _dataCriacao;
    private Date _dataAtualizacao;
    private int _tipoLista;

    public GrupoDestinatarioSoap() {
    }

    public static GrupoDestinatarioSoap toSoapModel(GrupoDestinatario model) {
        GrupoDestinatarioSoap soapModel = new GrupoDestinatarioSoap();

        soapModel.setUuid(model.getUuid());
        soapModel.setGrupoDestinatarioId(model.getGrupoDestinatarioId());
        soapModel.setCompanyId(model.getCompanyId());
        soapModel.setGroupId(model.getGroupId());
        soapModel.setUserId(model.getUserId());
        soapModel.setNome(model.getNome());
        soapModel.setFinalidade(model.getFinalidade());
        soapModel.setUserIdResponsaveis(model.getUserIdResponsaveis());
        soapModel.setListaTemporaria(model.getListaTemporaria());
        soapModel.setDataFinalListaTemporaria(model.getDataFinalListaTemporaria());
        soapModel.setEnvioEmNomeLista(model.getEnvioEmNomeLista());
        soapModel.setUserIdNomesLista(model.getUserIdNomesLista());
        soapModel.setListaModerada(model.getListaModerada());
        soapModel.setUserIdListaModerada(model.getUserIdListaModerada());
        soapModel.setAtivo(model.getAtivo());
        soapModel.setDataCriacao(model.getDataCriacao());
        soapModel.setDataAtualizacao(model.getDataAtualizacao());
        soapModel.setTipoLista(model.getTipoLista());

        return soapModel;
    }

    public static GrupoDestinatarioSoap[] toSoapModels(
        GrupoDestinatario[] models) {
        GrupoDestinatarioSoap[] soapModels = new GrupoDestinatarioSoap[models.length];

        for (int i = 0; i < models.length; i++) {
            soapModels[i] = toSoapModel(models[i]);
        }

        return soapModels;
    }

    public static GrupoDestinatarioSoap[][] toSoapModels(
        GrupoDestinatario[][] models) {
        GrupoDestinatarioSoap[][] soapModels = null;

        if (models.length > 0) {
            soapModels = new GrupoDestinatarioSoap[models.length][models[0].length];
        } else {
            soapModels = new GrupoDestinatarioSoap[0][0];
        }

        for (int i = 0; i < models.length; i++) {
            soapModels[i] = toSoapModels(models[i]);
        }

        return soapModels;
    }

    public static GrupoDestinatarioSoap[] toSoapModels(
        List<GrupoDestinatario> models) {
        List<GrupoDestinatarioSoap> soapModels = new ArrayList<GrupoDestinatarioSoap>(models.size());

        for (GrupoDestinatario model : models) {
            soapModels.add(toSoapModel(model));
        }

        return soapModels.toArray(new GrupoDestinatarioSoap[soapModels.size()]);
    }

    public long getPrimaryKey() {
        return _grupoDestinatarioId;
    }

    public void setPrimaryKey(long pk) {
        setGrupoDestinatarioId(pk);
    }

    public String getUuid() {
        return _uuid;
    }

    public void setUuid(String uuid) {
        _uuid = uuid;
    }

    public long getGrupoDestinatarioId() {
        return _grupoDestinatarioId;
    }

    public void setGrupoDestinatarioId(long grupoDestinatarioId) {
        _grupoDestinatarioId = grupoDestinatarioId;
    }

    public long getCompanyId() {
        return _companyId;
    }

    public void setCompanyId(long companyId) {
        _companyId = companyId;
    }

    public long getGroupId() {
        return _groupId;
    }

    public void setGroupId(long groupId) {
        _groupId = groupId;
    }

    public long getUserId() {
        return _userId;
    }

    public void setUserId(long userId) {
        _userId = userId;
    }

    public String getNome() {
        return _nome;
    }

    public void setNome(String nome) {
        _nome = nome;
    }

    public String getFinalidade() {
        return _finalidade;
    }

    public void setFinalidade(String finalidade) {
        _finalidade = finalidade;
    }

    public String getUserIdResponsaveis() {
        return _userIdResponsaveis;
    }

    public void setUserIdResponsaveis(String userIdResponsaveis) {
        _userIdResponsaveis = userIdResponsaveis;
    }

    public boolean getListaTemporaria() {
        return _listaTemporaria;
    }

    public boolean isListaTemporaria() {
        return _listaTemporaria;
    }

    public void setListaTemporaria(boolean listaTemporaria) {
        _listaTemporaria = listaTemporaria;
    }

    public Date getDataFinalListaTemporaria() {
        return _dataFinalListaTemporaria;
    }

    public void setDataFinalListaTemporaria(Date dataFinalListaTemporaria) {
        _dataFinalListaTemporaria = dataFinalListaTemporaria;
    }

    public boolean getEnvioEmNomeLista() {
        return _envioEmNomeLista;
    }

    public boolean isEnvioEmNomeLista() {
        return _envioEmNomeLista;
    }

    public void setEnvioEmNomeLista(boolean envioEmNomeLista) {
        _envioEmNomeLista = envioEmNomeLista;
    }

    public String getUserIdNomesLista() {
        return _userIdNomesLista;
    }

    public void setUserIdNomesLista(String userIdNomesLista) {
        _userIdNomesLista = userIdNomesLista;
    }

    public boolean getListaModerada() {
        return _listaModerada;
    }

    public boolean isListaModerada() {
        return _listaModerada;
    }

    public void setListaModerada(boolean listaModerada) {
        _listaModerada = listaModerada;
    }

    public String getUserIdListaModerada() {
        return _userIdListaModerada;
    }

    public void setUserIdListaModerada(String userIdListaModerada) {
        _userIdListaModerada = userIdListaModerada;
    }

    public boolean getAtivo() {
        return _ativo;
    }

    public boolean isAtivo() {
        return _ativo;
    }

    public void setAtivo(boolean ativo) {
        _ativo = ativo;
    }

    public Date getDataCriacao() {
        return _dataCriacao;
    }

    public void setDataCriacao(Date dataCriacao) {
        _dataCriacao = dataCriacao;
    }

    public Date getDataAtualizacao() {
        return _dataAtualizacao;
    }

    public void setDataAtualizacao(Date dataAtualizacao) {
        _dataAtualizacao = dataAtualizacao;
    }

    public int getTipoLista() {
        return _tipoLista;
    }

    public void setTipoLista(int tipoLista) {
        _tipoLista = tipoLista;
    }
}
