package br.mp.mprj.portal.portlet.gestaomensagens.service.model;

import java.io.Serializable;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * This class is used by SOAP remote services, specifically {@link br.mp.mprj.portal.portlet.gestaomensagens.service.service.http.MensagemServiceSoap}.
 *
 * @author Henrique Simoes
 * @see br.mp.mprj.portal.portlet.gestaomensagens.service.service.http.MensagemServiceSoap
 * @generated
 */
public class MensagemSoap implements Serializable {
    private String _uuid;
    private long _mensagemId;
    private long _companyId;
    private long _groupId;
    private long _templateId;
    private String _grupoDestinatarioIds;
    private long _contaSaidaId;
    private String _codigoMensagem;
    private String _assunto;
    private String _conteudo;
    private int _prioridade;
    private boolean _ativo;
    private int _tipoEnvio;
    private int _situacaoEnvio;
    private String _nomeSolicitante;
    private long _userIdCriador;
    private Date _dataSolicitacao;
    private Date _dataUltimoEnvio;
    private Date _dataAlteracao;
    private boolean _rascunho;
    private int _statusWorkflow;
    private long _userIdWorkflow;
    private Date _dataStatusWorkflow;
    private String _comentarioWorkflow;
    private long _clonagemPai;
    private String _literalAgendamento;
    private long _userIdCancel;
    private long _userIdAprovador;
    private long _userIdReprovador;
    private Date _dataCancel;
    private boolean _service;

    public MensagemSoap() {
    }

    public static MensagemSoap toSoapModel(Mensagem model) {
        MensagemSoap soapModel = new MensagemSoap();

        soapModel.setUuid(model.getUuid());
        soapModel.setMensagemId(model.getMensagemId());
        soapModel.setCompanyId(model.getCompanyId());
        soapModel.setGroupId(model.getGroupId());
        soapModel.setTemplateId(model.getTemplateId());
        soapModel.setGrupoDestinatarioIds(model.getGrupoDestinatarioIds());
        soapModel.setContaSaidaId(model.getContaSaidaId());
        soapModel.setCodigoMensagem(model.getCodigoMensagem());
        soapModel.setAssunto(model.getAssunto());
        soapModel.setConteudo(model.getConteudo());
        soapModel.setPrioridade(model.getPrioridade());
        soapModel.setAtivo(model.getAtivo());
        soapModel.setTipoEnvio(model.getTipoEnvio());
        soapModel.setSituacaoEnvio(model.getSituacaoEnvio());
        soapModel.setNomeSolicitante(model.getNomeSolicitante());
        soapModel.setUserIdCriador(model.getUserIdCriador());
        soapModel.setDataSolicitacao(model.getDataSolicitacao());
        soapModel.setDataUltimoEnvio(model.getDataUltimoEnvio());
        soapModel.setDataAlteracao(model.getDataAlteracao());
        soapModel.setRascunho(model.getRascunho());
        soapModel.setStatusWorkflow(model.getStatusWorkflow());
        soapModel.setUserIdWorkflow(model.getUserIdWorkflow());
        soapModel.setDataStatusWorkflow(model.getDataStatusWorkflow());
        soapModel.setComentarioWorkflow(model.getComentarioWorkflow());
        soapModel.setClonagemPai(model.getClonagemPai());
        soapModel.setLiteralAgendamento(model.getLiteralAgendamento());
        soapModel.setUserIdCancel(model.getUserIdCancel());
        soapModel.setUserIdAprovador(model.getUserIdAprovador());
        soapModel.setUserIdReprovador(model.getUserIdReprovador());
        soapModel.setDataCancel(model.getDataCancel());
        soapModel.setService(model.getService());

        return soapModel;
    }

    public static MensagemSoap[] toSoapModels(Mensagem[] models) {
        MensagemSoap[] soapModels = new MensagemSoap[models.length];

        for (int i = 0; i < models.length; i++) {
            soapModels[i] = toSoapModel(models[i]);
        }

        return soapModels;
    }

    public static MensagemSoap[][] toSoapModels(Mensagem[][] models) {
        MensagemSoap[][] soapModels = null;

        if (models.length > 0) {
            soapModels = new MensagemSoap[models.length][models[0].length];
        } else {
            soapModels = new MensagemSoap[0][0];
        }

        for (int i = 0; i < models.length; i++) {
            soapModels[i] = toSoapModels(models[i]);
        }

        return soapModels;
    }

    public static MensagemSoap[] toSoapModels(List<Mensagem> models) {
        List<MensagemSoap> soapModels = new ArrayList<MensagemSoap>(models.size());

        for (Mensagem model : models) {
            soapModels.add(toSoapModel(model));
        }

        return soapModels.toArray(new MensagemSoap[soapModels.size()]);
    }

    public long getPrimaryKey() {
        return _mensagemId;
    }

    public void setPrimaryKey(long pk) {
        setMensagemId(pk);
    }

    public String getUuid() {
        return _uuid;
    }

    public void setUuid(String uuid) {
        _uuid = uuid;
    }

    public long getMensagemId() {
        return _mensagemId;
    }

    public void setMensagemId(long mensagemId) {
        _mensagemId = mensagemId;
    }

    public long getCompanyId() {
        return _companyId;
    }

    public void setCompanyId(long companyId) {
        _companyId = companyId;
    }

    public long getGroupId() {
        return _groupId;
    }

    public void setGroupId(long groupId) {
        _groupId = groupId;
    }

    public long getTemplateId() {
        return _templateId;
    }

    public void setTemplateId(long templateId) {
        _templateId = templateId;
    }

    public String getGrupoDestinatarioIds() {
        return _grupoDestinatarioIds;
    }

    public void setGrupoDestinatarioIds(String grupoDestinatarioIds) {
        _grupoDestinatarioIds = grupoDestinatarioIds;
    }

    public long getContaSaidaId() {
        return _contaSaidaId;
    }

    public void setContaSaidaId(long contaSaidaId) {
        _contaSaidaId = contaSaidaId;
    }

    public String getCodigoMensagem() {
        return _codigoMensagem;
    }

    public void setCodigoMensagem(String codigoMensagem) {
        _codigoMensagem = codigoMensagem;
    }

    public String getAssunto() {
        return _assunto;
    }

    public void setAssunto(String assunto) {
        _assunto = assunto;
    }

    public String getConteudo() {
        return _conteudo;
    }

    public void setConteudo(String conteudo) {
        _conteudo = conteudo;
    }

    public int getPrioridade() {
        return _prioridade;
    }

    public void setPrioridade(int prioridade) {
        _prioridade = prioridade;
    }

    public boolean getAtivo() {
        return _ativo;
    }

    public boolean isAtivo() {
        return _ativo;
    }

    public void setAtivo(boolean ativo) {
        _ativo = ativo;
    }

    public int getTipoEnvio() {
        return _tipoEnvio;
    }

    public void setTipoEnvio(int tipoEnvio) {
        _tipoEnvio = tipoEnvio;
    }

    public int getSituacaoEnvio() {
        return _situacaoEnvio;
    }

    public void setSituacaoEnvio(int situacaoEnvio) {
        _situacaoEnvio = situacaoEnvio;
    }

    public String getNomeSolicitante() {
        return _nomeSolicitante;
    }

    public void setNomeSolicitante(String nomeSolicitante) {
        _nomeSolicitante = nomeSolicitante;
    }

    public long getUserIdCriador() {
        return _userIdCriador;
    }

    public void setUserIdCriador(long userIdCriador) {
        _userIdCriador = userIdCriador;
    }

    public Date getDataSolicitacao() {
        return _dataSolicitacao;
    }

    public void setDataSolicitacao(Date dataSolicitacao) {
        _dataSolicitacao = dataSolicitacao;
    }

    public Date getDataUltimoEnvio() {
        return _dataUltimoEnvio;
    }

    public void setDataUltimoEnvio(Date dataUltimoEnvio) {
        _dataUltimoEnvio = dataUltimoEnvio;
    }

    public Date getDataAlteracao() {
        return _dataAlteracao;
    }

    public void setDataAlteracao(Date dataAlteracao) {
        _dataAlteracao = dataAlteracao;
    }

    public boolean getRascunho() {
        return _rascunho;
    }

    public boolean isRascunho() {
        return _rascunho;
    }

    public void setRascunho(boolean rascunho) {
        _rascunho = rascunho;
    }

    public int getStatusWorkflow() {
        return _statusWorkflow;
    }

    public void setStatusWorkflow(int statusWorkflow) {
        _statusWorkflow = statusWorkflow;
    }

    public long getUserIdWorkflow() {
        return _userIdWorkflow;
    }

    public void setUserIdWorkflow(long userIdWorkflow) {
        _userIdWorkflow = userIdWorkflow;
    }

    public Date getDataStatusWorkflow() {
        return _dataStatusWorkflow;
    }

    public void setDataStatusWorkflow(Date dataStatusWorkflow) {
        _dataStatusWorkflow = dataStatusWorkflow;
    }

    public String getComentarioWorkflow() {
        return _comentarioWorkflow;
    }

    public void setComentarioWorkflow(String comentarioWorkflow) {
        _comentarioWorkflow = comentarioWorkflow;
    }

    public long getClonagemPai() {
        return _clonagemPai;
    }

    public void setClonagemPai(long clonagemPai) {
        _clonagemPai = clonagemPai;
    }

    public String getLiteralAgendamento() {
        return _literalAgendamento;
    }

    public void setLiteralAgendamento(String literalAgendamento) {
        _literalAgendamento = literalAgendamento;
    }

    public long getUserIdCancel() {
        return _userIdCancel;
    }

    public void setUserIdCancel(long userIdCancel) {
        _userIdCancel = userIdCancel;
    }

    public long getUserIdAprovador() {
        return _userIdAprovador;
    }

    public void setUserIdAprovador(long userIdAprovador) {
        _userIdAprovador = userIdAprovador;
    }

    public long getUserIdReprovador() {
        return _userIdReprovador;
    }

    public void setUserIdReprovador(long userIdReprovador) {
        _userIdReprovador = userIdReprovador;
    }

    public Date getDataCancel() {
        return _dataCancel;
    }

    public void setDataCancel(Date dataCancel) {
        _dataCancel = dataCancel;
    }

    public boolean getService() {
        return _service;
    }

    public boolean isService() {
        return _service;
    }

    public void setService(boolean service) {
        _service = service;
    }
}
