package br.mp.mprj.portal.portlet.gestaomensagens.service.service;

import com.liferay.portal.service.ServiceWrapper;

/**
 * Provides a wrapper for {@link EmailDestinatarioLocalService}.
 *
 * @author Henrique Simoes
 * @see EmailDestinatarioLocalService
 * @generated
 */
public class EmailDestinatarioLocalServiceWrapper
    implements EmailDestinatarioLocalService,
        ServiceWrapper<EmailDestinatarioLocalService> {
    private EmailDestinatarioLocalService _emailDestinatarioLocalService;

    public EmailDestinatarioLocalServiceWrapper(
        EmailDestinatarioLocalService emailDestinatarioLocalService) {
        _emailDestinatarioLocalService = emailDestinatarioLocalService;
    }

    /**
    * Adds the email destinatario to the database. Also notifies the appropriate model listeners.
    *
    * @param emailDestinatario the email destinatario
    * @return the email destinatario that was added
    * @throws SystemException if a system exception occurred
    */
    @Override
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario addEmailDestinatario(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario emailDestinatario)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _emailDestinatarioLocalService.addEmailDestinatario(emailDestinatario);
    }

    /**
    * Creates a new email destinatario with the primary key. Does not add the email destinatario to the database.
    *
    * @param emailDestinatarioId the primary key for the new email destinatario
    * @return the new email destinatario
    */
    @Override
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario createEmailDestinatario(
        long emailDestinatarioId) {
        return _emailDestinatarioLocalService.createEmailDestinatario(emailDestinatarioId);
    }

    /**
    * Deletes the email destinatario with the primary key from the database. Also notifies the appropriate model listeners.
    *
    * @param emailDestinatarioId the primary key of the email destinatario
    * @return the email destinatario that was removed
    * @throws PortalException if a email destinatario with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    @Override
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario deleteEmailDestinatario(
        long emailDestinatarioId)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException {
        return _emailDestinatarioLocalService.deleteEmailDestinatario(emailDestinatarioId);
    }

    /**
    * Deletes the email destinatario from the database. Also notifies the appropriate model listeners.
    *
    * @param emailDestinatario the email destinatario
    * @return the email destinatario that was removed
    * @throws SystemException if a system exception occurred
    */
    @Override
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario deleteEmailDestinatario(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario emailDestinatario)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _emailDestinatarioLocalService.deleteEmailDestinatario(emailDestinatario);
    }

    @Override
    public com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery() {
        return _emailDestinatarioLocalService.dynamicQuery();
    }

    /**
    * Performs a dynamic query on the database and returns the matching rows.
    *
    * @param dynamicQuery the dynamic query
    * @return the matching rows
    * @throws SystemException if a system exception occurred
    */
    @Override
    @SuppressWarnings("rawtypes")
    public java.util.List dynamicQuery(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _emailDestinatarioLocalService.dynamicQuery(dynamicQuery);
    }

    /**
    * Performs a dynamic query on the database and returns a range of the matching rows.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.EmailDestinatarioModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param dynamicQuery the dynamic query
    * @param start the lower bound of the range of model instances
    * @param end the upper bound of the range of model instances (not inclusive)
    * @return the range of matching rows
    * @throws SystemException if a system exception occurred
    */
    @Override
    @SuppressWarnings("rawtypes")
    public java.util.List dynamicQuery(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
        int end) throws com.liferay.portal.kernel.exception.SystemException {
        return _emailDestinatarioLocalService.dynamicQuery(dynamicQuery, start,
            end);
    }

    /**
    * Performs a dynamic query on the database and returns an ordered range of the matching rows.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.EmailDestinatarioModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param dynamicQuery the dynamic query
    * @param start the lower bound of the range of model instances
    * @param end the upper bound of the range of model instances (not inclusive)
    * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
    * @return the ordered range of matching rows
    * @throws SystemException if a system exception occurred
    */
    @Override
    @SuppressWarnings("rawtypes")
    public java.util.List dynamicQuery(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery, int start,
        int end,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _emailDestinatarioLocalService.dynamicQuery(dynamicQuery, start,
            end, orderByComparator);
    }

    /**
    * Returns the number of rows that match the dynamic query.
    *
    * @param dynamicQuery the dynamic query
    * @return the number of rows that match the dynamic query
    * @throws SystemException if a system exception occurred
    */
    @Override
    public long dynamicQueryCount(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _emailDestinatarioLocalService.dynamicQueryCount(dynamicQuery);
    }

    /**
    * Returns the number of rows that match the dynamic query.
    *
    * @param dynamicQuery the dynamic query
    * @param projection the projection to apply to the query
    * @return the number of rows that match the dynamic query
    * @throws SystemException if a system exception occurred
    */
    @Override
    public long dynamicQueryCount(
        com.liferay.portal.kernel.dao.orm.DynamicQuery dynamicQuery,
        com.liferay.portal.kernel.dao.orm.Projection projection)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _emailDestinatarioLocalService.dynamicQueryCount(dynamicQuery,
            projection);
    }

    @Override
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario fetchEmailDestinatario(
        long emailDestinatarioId)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _emailDestinatarioLocalService.fetchEmailDestinatario(emailDestinatarioId);
    }

    /**
    * Returns the email destinatario with the primary key.
    *
    * @param emailDestinatarioId the primary key of the email destinatario
    * @return the email destinatario
    * @throws PortalException if a email destinatario with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    @Override
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario getEmailDestinatario(
        long emailDestinatarioId)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException {
        return _emailDestinatarioLocalService.getEmailDestinatario(emailDestinatarioId);
    }

    @Override
    public com.liferay.portal.model.PersistedModel getPersistedModel(
        java.io.Serializable primaryKeyObj)
        throws com.liferay.portal.kernel.exception.PortalException,
            com.liferay.portal.kernel.exception.SystemException {
        return _emailDestinatarioLocalService.getPersistedModel(primaryKeyObj);
    }

    /**
    * Returns a range of all the email destinatarios.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.EmailDestinatarioModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param start the lower bound of the range of email destinatarios
    * @param end the upper bound of the range of email destinatarios (not inclusive)
    * @return the range of email destinatarios
    * @throws SystemException if a system exception occurred
    */
    @Override
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario> getEmailDestinatarios(
        int start, int end)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _emailDestinatarioLocalService.getEmailDestinatarios(start, end);
    }

    /**
    * Returns the number of email destinatarios.
    *
    * @return the number of email destinatarios
    * @throws SystemException if a system exception occurred
    */
    @Override
    public int getEmailDestinatariosCount()
        throws com.liferay.portal.kernel.exception.SystemException {
        return _emailDestinatarioLocalService.getEmailDestinatariosCount();
    }

    /**
    * Updates the email destinatario in the database or adds it if it does not yet exist. Also notifies the appropriate model listeners.
    *
    * @param emailDestinatario the email destinatario
    * @return the email destinatario that was updated
    * @throws SystemException if a system exception occurred
    */
    @Override
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario updateEmailDestinatario(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario emailDestinatario)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _emailDestinatarioLocalService.updateEmailDestinatario(emailDestinatario);
    }

    /**
    * Returns the Spring bean ID for this bean.
    *
    * @return the Spring bean ID for this bean
    */
    @Override
    public java.lang.String getBeanIdentifier() {
        return _emailDestinatarioLocalService.getBeanIdentifier();
    }

    /**
    * Sets the Spring bean ID for this bean.
    *
    * @param beanIdentifier the Spring bean ID for this bean
    */
    @Override
    public void setBeanIdentifier(java.lang.String beanIdentifier) {
        _emailDestinatarioLocalService.setBeanIdentifier(beanIdentifier);
    }

    @Override
    public java.lang.Object invokeMethod(java.lang.String name,
        java.lang.String[] parameterTypes, java.lang.Object[] arguments)
        throws java.lang.Throwable {
        return _emailDestinatarioLocalService.invokeMethod(name,
            parameterTypes, arguments);
    }

    @Override
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario> findByGrupoDestinatarioId(
        long grupoDestinatarioId)
        throws com.liferay.portal.kernel.exception.SystemException {
        return _emailDestinatarioLocalService.findByGrupoDestinatarioId(grupoDestinatarioId);
    }

    @Override
    public void removeByGrupoDestinatarioId(long grupoDestinatarioId)
        throws com.liferay.portal.kernel.exception.SystemException {
        _emailDestinatarioLocalService.removeByGrupoDestinatarioId(grupoDestinatarioId);
    }

    /**
     * @deprecated As of 6.1.0, replaced by {@link #getWrappedService}
     */
    public EmailDestinatarioLocalService getWrappedEmailDestinatarioLocalService() {
        return _emailDestinatarioLocalService;
    }

    /**
     * @deprecated As of 6.1.0, replaced by {@link #setWrappedService}
     */
    public void setWrappedEmailDestinatarioLocalService(
        EmailDestinatarioLocalService emailDestinatarioLocalService) {
        _emailDestinatarioLocalService = emailDestinatarioLocalService;
    }

    @Override
    public EmailDestinatarioLocalService getWrappedService() {
        return _emailDestinatarioLocalService;
    }

    @Override
    public void setWrappedService(
        EmailDestinatarioLocalService emailDestinatarioLocalService) {
        _emailDestinatarioLocalService = emailDestinatarioLocalService;
    }
}
