package br.mp.mprj.portal.portlet.gestaomensagens.service.service.impl;

import java.util.LinkedList;
import java.util.List;

import com.liferay.portal.kernel.exception.SystemException;

import br.mp.mprj.portal.portlet.gestaomensagens.service.model.EmailDestinatario;
import br.mp.mprj.portal.portlet.gestaomensagens.service.service.base.EmailDestinatarioLocalServiceBaseImpl;

/**
 * The implementation of the email destinatario local service.
 *
 * <p>
 * All custom service methods should be put in this class. Whenever methods are added, rerun ServiceBuilder to copy their definitions into the {@link br.mp.mprj.portal.portlet.gestaomensagens.service.service.EmailDestinatarioLocalService} interface.
 *
 * <p>
 * This is a local service. Methods of this service will not have security checks based on the propagated JAAS credentials because this service can only be accessed from within the same VM.
 * </p>
 *
 * @author Henrique Simoes
 * @see br.mp.mprj.portal.portlet.gestaomensagens.service.service.base.EmailDestinatarioLocalServiceBaseImpl
 * @see br.mp.mprj.portal.portlet.gestaomensagens.service.service.EmailDestinatarioLocalServiceUtil
 */
public class EmailDestinatarioLocalServiceImpl
    extends EmailDestinatarioLocalServiceBaseImpl {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never reference this interface directly. Always use {@link br.mp.mprj.portal.portlet.gestaomensagens.service.service.EmailDestinatarioLocalServiceUtil} to access the email destinatario local service.
     */
	
	public List<EmailDestinatario> findByGrupoDestinatarioId(long grupoDestinatarioId) throws SystemException{
		return emailDestinatarioPersistence.findByGrupoDestinatarioId(grupoDestinatarioId);
	}
	
	public void removeByGrupoDestinatarioId(long grupoDestinatarioId) throws SystemException{
		emailDestinatarioPersistence.removeByGrupoDestinatarioId(grupoDestinatarioId);
	}

	
}
