package br.mp.mprj.portal.portlet.gestaomensagens.service.service.persistence;

import br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario;

import com.liferay.portal.service.persistence.BasePersistence;

/**
 * The persistence interface for the grupo destinatario service.
 *
 * <p>
 * Caching information and settings can be found in <code>portal.properties</code>
 * </p>
 *
 * @author Henrique Simoes
 * @see GrupoDestinatarioPersistenceImpl
 * @see GrupoDestinatarioUtil
 * @generated
 */
public interface GrupoDestinatarioPersistence extends BasePersistence<GrupoDestinatario> {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this interface directly. Always use {@link GrupoDestinatarioUtil} to access the grupo destinatario persistence. Modify <code>service.xml</code> and rerun ServiceBuilder to regenerate this interface.
     */

    /**
    * Returns all the grupo destinatarios where uuid = &#63;.
    *
    * @param uuid the uuid
    * @return the matching grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> findByUuid(
        java.lang.String uuid)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns a range of all the grupo destinatarios where uuid = &#63;.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.GrupoDestinatarioModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param uuid the uuid
    * @param start the lower bound of the range of grupo destinatarios
    * @param end the upper bound of the range of grupo destinatarios (not inclusive)
    * @return the range of matching grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> findByUuid(
        java.lang.String uuid, int start, int end)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns an ordered range of all the grupo destinatarios where uuid = &#63;.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.GrupoDestinatarioModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param uuid the uuid
    * @param start the lower bound of the range of grupo destinatarios
    * @param end the upper bound of the range of grupo destinatarios (not inclusive)
    * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
    * @return the ordered range of matching grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> findByUuid(
        java.lang.String uuid, int start, int end,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the first grupo destinatario in the ordered set where uuid = &#63;.
    *
    * @param uuid the uuid
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the first matching grupo destinatario
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario findByUuid_First(
        java.lang.String uuid,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException,
            com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the first grupo destinatario in the ordered set where uuid = &#63;.
    *
    * @param uuid the uuid
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the first matching grupo destinatario, or <code>null</code> if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario fetchByUuid_First(
        java.lang.String uuid,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the last grupo destinatario in the ordered set where uuid = &#63;.
    *
    * @param uuid the uuid
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the last matching grupo destinatario
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario findByUuid_Last(
        java.lang.String uuid,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException,
            com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the last grupo destinatario in the ordered set where uuid = &#63;.
    *
    * @param uuid the uuid
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the last matching grupo destinatario, or <code>null</code> if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario fetchByUuid_Last(
        java.lang.String uuid,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the grupo destinatarios before and after the current grupo destinatario in the ordered set where uuid = &#63;.
    *
    * @param grupoDestinatarioId the primary key of the current grupo destinatario
    * @param uuid the uuid
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the previous, current, and next grupo destinatario
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException if a grupo destinatario with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario[] findByUuid_PrevAndNext(
        long grupoDestinatarioId, java.lang.String uuid,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException,
            com.liferay.portal.kernel.exception.SystemException;

    /**
    * Removes all the grupo destinatarios where uuid = &#63; from the database.
    *
    * @param uuid the uuid
    * @throws SystemException if a system exception occurred
    */
    public void removeByUuid(java.lang.String uuid)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the number of grupo destinatarios where uuid = &#63;.
    *
    * @param uuid the uuid
    * @return the number of matching grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public int countByUuid(java.lang.String uuid)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the grupo destinatario where uuid = &#63; and groupId = &#63; or throws a {@link br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException} if it could not be found.
    *
    * @param uuid the uuid
    * @param groupId the group ID
    * @return the matching grupo destinatario
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario findByUUID_G(
        java.lang.String uuid, long groupId)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException,
            com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the grupo destinatario where uuid = &#63; and groupId = &#63; or returns <code>null</code> if it could not be found. Uses the finder cache.
    *
    * @param uuid the uuid
    * @param groupId the group ID
    * @return the matching grupo destinatario, or <code>null</code> if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario fetchByUUID_G(
        java.lang.String uuid, long groupId)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the grupo destinatario where uuid = &#63; and groupId = &#63; or returns <code>null</code> if it could not be found, optionally using the finder cache.
    *
    * @param uuid the uuid
    * @param groupId the group ID
    * @param retrieveFromCache whether to use the finder cache
    * @return the matching grupo destinatario, or <code>null</code> if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario fetchByUUID_G(
        java.lang.String uuid, long groupId, boolean retrieveFromCache)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Removes the grupo destinatario where uuid = &#63; and groupId = &#63; from the database.
    *
    * @param uuid the uuid
    * @param groupId the group ID
    * @return the grupo destinatario that was removed
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario removeByUUID_G(
        java.lang.String uuid, long groupId)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException,
            com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the number of grupo destinatarios where uuid = &#63; and groupId = &#63;.
    *
    * @param uuid the uuid
    * @param groupId the group ID
    * @return the number of matching grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public int countByUUID_G(java.lang.String uuid, long groupId)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns all the grupo destinatarios where uuid = &#63; and companyId = &#63;.
    *
    * @param uuid the uuid
    * @param companyId the company ID
    * @return the matching grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> findByUuid_C(
        java.lang.String uuid, long companyId)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns a range of all the grupo destinatarios where uuid = &#63; and companyId = &#63;.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.GrupoDestinatarioModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param uuid the uuid
    * @param companyId the company ID
    * @param start the lower bound of the range of grupo destinatarios
    * @param end the upper bound of the range of grupo destinatarios (not inclusive)
    * @return the range of matching grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> findByUuid_C(
        java.lang.String uuid, long companyId, int start, int end)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns an ordered range of all the grupo destinatarios where uuid = &#63; and companyId = &#63;.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.GrupoDestinatarioModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param uuid the uuid
    * @param companyId the company ID
    * @param start the lower bound of the range of grupo destinatarios
    * @param end the upper bound of the range of grupo destinatarios (not inclusive)
    * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
    * @return the ordered range of matching grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> findByUuid_C(
        java.lang.String uuid, long companyId, int start, int end,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the first grupo destinatario in the ordered set where uuid = &#63; and companyId = &#63;.
    *
    * @param uuid the uuid
    * @param companyId the company ID
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the first matching grupo destinatario
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario findByUuid_C_First(
        java.lang.String uuid, long companyId,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException,
            com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the first grupo destinatario in the ordered set where uuid = &#63; and companyId = &#63;.
    *
    * @param uuid the uuid
    * @param companyId the company ID
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the first matching grupo destinatario, or <code>null</code> if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario fetchByUuid_C_First(
        java.lang.String uuid, long companyId,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the last grupo destinatario in the ordered set where uuid = &#63; and companyId = &#63;.
    *
    * @param uuid the uuid
    * @param companyId the company ID
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the last matching grupo destinatario
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario findByUuid_C_Last(
        java.lang.String uuid, long companyId,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException,
            com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the last grupo destinatario in the ordered set where uuid = &#63; and companyId = &#63;.
    *
    * @param uuid the uuid
    * @param companyId the company ID
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the last matching grupo destinatario, or <code>null</code> if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario fetchByUuid_C_Last(
        java.lang.String uuid, long companyId,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the grupo destinatarios before and after the current grupo destinatario in the ordered set where uuid = &#63; and companyId = &#63;.
    *
    * @param grupoDestinatarioId the primary key of the current grupo destinatario
    * @param uuid the uuid
    * @param companyId the company ID
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the previous, current, and next grupo destinatario
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException if a grupo destinatario with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario[] findByUuid_C_PrevAndNext(
        long grupoDestinatarioId, java.lang.String uuid, long companyId,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException,
            com.liferay.portal.kernel.exception.SystemException;

    /**
    * Removes all the grupo destinatarios where uuid = &#63; and companyId = &#63; from the database.
    *
    * @param uuid the uuid
    * @param companyId the company ID
    * @throws SystemException if a system exception occurred
    */
    public void removeByUuid_C(java.lang.String uuid, long companyId)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the number of grupo destinatarios where uuid = &#63; and companyId = &#63;.
    *
    * @param uuid the uuid
    * @param companyId the company ID
    * @return the number of matching grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public int countByUuid_C(java.lang.String uuid, long companyId)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns all the grupo destinatarios where tipoLista = &#63; and ativo = &#63;.
    *
    * @param tipoLista the tipo lista
    * @param ativo the ativo
    * @return the matching grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> findByTipoListaAtivo(
        int tipoLista, boolean ativo)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns a range of all the grupo destinatarios where tipoLista = &#63; and ativo = &#63;.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.GrupoDestinatarioModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param tipoLista the tipo lista
    * @param ativo the ativo
    * @param start the lower bound of the range of grupo destinatarios
    * @param end the upper bound of the range of grupo destinatarios (not inclusive)
    * @return the range of matching grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> findByTipoListaAtivo(
        int tipoLista, boolean ativo, int start, int end)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns an ordered range of all the grupo destinatarios where tipoLista = &#63; and ativo = &#63;.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.GrupoDestinatarioModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param tipoLista the tipo lista
    * @param ativo the ativo
    * @param start the lower bound of the range of grupo destinatarios
    * @param end the upper bound of the range of grupo destinatarios (not inclusive)
    * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
    * @return the ordered range of matching grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> findByTipoListaAtivo(
        int tipoLista, boolean ativo, int start, int end,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the first grupo destinatario in the ordered set where tipoLista = &#63; and ativo = &#63;.
    *
    * @param tipoLista the tipo lista
    * @param ativo the ativo
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the first matching grupo destinatario
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario findByTipoListaAtivo_First(
        int tipoLista, boolean ativo,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException,
            com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the first grupo destinatario in the ordered set where tipoLista = &#63; and ativo = &#63;.
    *
    * @param tipoLista the tipo lista
    * @param ativo the ativo
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the first matching grupo destinatario, or <code>null</code> if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario fetchByTipoListaAtivo_First(
        int tipoLista, boolean ativo,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the last grupo destinatario in the ordered set where tipoLista = &#63; and ativo = &#63;.
    *
    * @param tipoLista the tipo lista
    * @param ativo the ativo
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the last matching grupo destinatario
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario findByTipoListaAtivo_Last(
        int tipoLista, boolean ativo,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException,
            com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the last grupo destinatario in the ordered set where tipoLista = &#63; and ativo = &#63;.
    *
    * @param tipoLista the tipo lista
    * @param ativo the ativo
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the last matching grupo destinatario, or <code>null</code> if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario fetchByTipoListaAtivo_Last(
        int tipoLista, boolean ativo,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the grupo destinatarios before and after the current grupo destinatario in the ordered set where tipoLista = &#63; and ativo = &#63;.
    *
    * @param grupoDestinatarioId the primary key of the current grupo destinatario
    * @param tipoLista the tipo lista
    * @param ativo the ativo
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the previous, current, and next grupo destinatario
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException if a grupo destinatario with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario[] findByTipoListaAtivo_PrevAndNext(
        long grupoDestinatarioId, int tipoLista, boolean ativo,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException,
            com.liferay.portal.kernel.exception.SystemException;

    /**
    * Removes all the grupo destinatarios where tipoLista = &#63; and ativo = &#63; from the database.
    *
    * @param tipoLista the tipo lista
    * @param ativo the ativo
    * @throws SystemException if a system exception occurred
    */
    public void removeByTipoListaAtivo(int tipoLista, boolean ativo)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the number of grupo destinatarios where tipoLista = &#63; and ativo = &#63;.
    *
    * @param tipoLista the tipo lista
    * @param ativo the ativo
    * @return the number of matching grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public int countByTipoListaAtivo(int tipoLista, boolean ativo)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the grupo destinatario where nome = &#63; and tipoLista = &#63; and ativo = &#63; or throws a {@link br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException} if it could not be found.
    *
    * @param nome the nome
    * @param tipoLista the tipo lista
    * @param ativo the ativo
    * @return the matching grupo destinatario
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario findByNomeTipoListaAtivo(
        java.lang.String nome, int tipoLista, boolean ativo)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException,
            com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the grupo destinatario where nome = &#63; and tipoLista = &#63; and ativo = &#63; or returns <code>null</code> if it could not be found. Uses the finder cache.
    *
    * @param nome the nome
    * @param tipoLista the tipo lista
    * @param ativo the ativo
    * @return the matching grupo destinatario, or <code>null</code> if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario fetchByNomeTipoListaAtivo(
        java.lang.String nome, int tipoLista, boolean ativo)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the grupo destinatario where nome = &#63; and tipoLista = &#63; and ativo = &#63; or returns <code>null</code> if it could not be found, optionally using the finder cache.
    *
    * @param nome the nome
    * @param tipoLista the tipo lista
    * @param ativo the ativo
    * @param retrieveFromCache whether to use the finder cache
    * @return the matching grupo destinatario, or <code>null</code> if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario fetchByNomeTipoListaAtivo(
        java.lang.String nome, int tipoLista, boolean ativo,
        boolean retrieveFromCache)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Removes the grupo destinatario where nome = &#63; and tipoLista = &#63; and ativo = &#63; from the database.
    *
    * @param nome the nome
    * @param tipoLista the tipo lista
    * @param ativo the ativo
    * @return the grupo destinatario that was removed
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario removeByNomeTipoListaAtivo(
        java.lang.String nome, int tipoLista, boolean ativo)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException,
            com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the number of grupo destinatarios where nome = &#63; and tipoLista = &#63; and ativo = &#63;.
    *
    * @param nome the nome
    * @param tipoLista the tipo lista
    * @param ativo the ativo
    * @return the number of matching grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public int countByNomeTipoListaAtivo(java.lang.String nome, int tipoLista,
        boolean ativo)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns all the grupo destinatarios where grupoDestinatarioId = &#63;.
    *
    * @param grupoDestinatarioId the grupo destinatario ID
    * @return the matching grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> findByGrupoDestinatarioIdArray(
        long grupoDestinatarioId)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns a range of all the grupo destinatarios where grupoDestinatarioId = &#63;.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.GrupoDestinatarioModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param grupoDestinatarioId the grupo destinatario ID
    * @param start the lower bound of the range of grupo destinatarios
    * @param end the upper bound of the range of grupo destinatarios (not inclusive)
    * @return the range of matching grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> findByGrupoDestinatarioIdArray(
        long grupoDestinatarioId, int start, int end)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns an ordered range of all the grupo destinatarios where grupoDestinatarioId = &#63;.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.GrupoDestinatarioModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param grupoDestinatarioId the grupo destinatario ID
    * @param start the lower bound of the range of grupo destinatarios
    * @param end the upper bound of the range of grupo destinatarios (not inclusive)
    * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
    * @return the ordered range of matching grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> findByGrupoDestinatarioIdArray(
        long grupoDestinatarioId, int start, int end,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the first grupo destinatario in the ordered set where grupoDestinatarioId = &#63;.
    *
    * @param grupoDestinatarioId the grupo destinatario ID
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the first matching grupo destinatario
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario findByGrupoDestinatarioIdArray_First(
        long grupoDestinatarioId,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException,
            com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the first grupo destinatario in the ordered set where grupoDestinatarioId = &#63;.
    *
    * @param grupoDestinatarioId the grupo destinatario ID
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the first matching grupo destinatario, or <code>null</code> if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario fetchByGrupoDestinatarioIdArray_First(
        long grupoDestinatarioId,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the last grupo destinatario in the ordered set where grupoDestinatarioId = &#63;.
    *
    * @param grupoDestinatarioId the grupo destinatario ID
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the last matching grupo destinatario
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario findByGrupoDestinatarioIdArray_Last(
        long grupoDestinatarioId,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException,
            com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the last grupo destinatario in the ordered set where grupoDestinatarioId = &#63;.
    *
    * @param grupoDestinatarioId the grupo destinatario ID
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the last matching grupo destinatario, or <code>null</code> if a matching grupo destinatario could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario fetchByGrupoDestinatarioIdArray_Last(
        long grupoDestinatarioId,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns all the grupo destinatarios where grupoDestinatarioId = any &#63;.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.GrupoDestinatarioModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param grupoDestinatarioIds the grupo destinatario IDs
    * @return the matching grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> findByGrupoDestinatarioIdArray(
        long[] grupoDestinatarioIds)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns a range of all the grupo destinatarios where grupoDestinatarioId = any &#63;.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.GrupoDestinatarioModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param grupoDestinatarioIds the grupo destinatario IDs
    * @param start the lower bound of the range of grupo destinatarios
    * @param end the upper bound of the range of grupo destinatarios (not inclusive)
    * @return the range of matching grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> findByGrupoDestinatarioIdArray(
        long[] grupoDestinatarioIds, int start, int end)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns an ordered range of all the grupo destinatarios where grupoDestinatarioId = any &#63;.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.GrupoDestinatarioModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param grupoDestinatarioIds the grupo destinatario IDs
    * @param start the lower bound of the range of grupo destinatarios
    * @param end the upper bound of the range of grupo destinatarios (not inclusive)
    * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
    * @return the ordered range of matching grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> findByGrupoDestinatarioIdArray(
        long[] grupoDestinatarioIds, int start, int end,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Removes all the grupo destinatarios where grupoDestinatarioId = &#63; from the database.
    *
    * @param grupoDestinatarioId the grupo destinatario ID
    * @throws SystemException if a system exception occurred
    */
    public void removeByGrupoDestinatarioIdArray(long grupoDestinatarioId)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the number of grupo destinatarios where grupoDestinatarioId = &#63;.
    *
    * @param grupoDestinatarioId the grupo destinatario ID
    * @return the number of matching grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public int countByGrupoDestinatarioIdArray(long grupoDestinatarioId)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the number of grupo destinatarios where grupoDestinatarioId = any &#63;.
    *
    * @param grupoDestinatarioIds the grupo destinatario IDs
    * @return the number of matching grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public int countByGrupoDestinatarioIdArray(long[] grupoDestinatarioIds)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Caches the grupo destinatario in the entity cache if it is enabled.
    *
    * @param grupoDestinatario the grupo destinatario
    */
    public void cacheResult(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario grupoDestinatario);

    /**
    * Caches the grupo destinatarios in the entity cache if it is enabled.
    *
    * @param grupoDestinatarios the grupo destinatarios
    */
    public void cacheResult(
        java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> grupoDestinatarios);

    /**
    * Creates a new grupo destinatario with the primary key. Does not add the grupo destinatario to the database.
    *
    * @param grupoDestinatarioId the primary key for the new grupo destinatario
    * @return the new grupo destinatario
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario create(
        long grupoDestinatarioId);

    /**
    * Removes the grupo destinatario with the primary key from the database. Also notifies the appropriate model listeners.
    *
    * @param grupoDestinatarioId the primary key of the grupo destinatario
    * @return the grupo destinatario that was removed
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException if a grupo destinatario with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario remove(
        long grupoDestinatarioId)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException,
            com.liferay.portal.kernel.exception.SystemException;

    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario updateImpl(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario grupoDestinatario)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the grupo destinatario with the primary key or throws a {@link br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException} if it could not be found.
    *
    * @param grupoDestinatarioId the primary key of the grupo destinatario
    * @return the grupo destinatario
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException if a grupo destinatario with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario findByPrimaryKey(
        long grupoDestinatarioId)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchGrupoDestinatarioException,
            com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the grupo destinatario with the primary key or returns <code>null</code> if it could not be found.
    *
    * @param grupoDestinatarioId the primary key of the grupo destinatario
    * @return the grupo destinatario, or <code>null</code> if a grupo destinatario with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    public br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario fetchByPrimaryKey(
        long grupoDestinatarioId)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns all the grupo destinatarios.
    *
    * @return the grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> findAll()
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns a range of all the grupo destinatarios.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.GrupoDestinatarioModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param start the lower bound of the range of grupo destinatarios
    * @param end the upper bound of the range of grupo destinatarios (not inclusive)
    * @return the range of grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> findAll(
        int start, int end)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns an ordered range of all the grupo destinatarios.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.GrupoDestinatarioModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param start the lower bound of the range of grupo destinatarios
    * @param end the upper bound of the range of grupo destinatarios (not inclusive)
    * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
    * @return the ordered range of grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario> findAll(
        int start, int end,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Removes all the grupo destinatarios from the database.
    *
    * @throws SystemException if a system exception occurred
    */
    public void removeAll()
        throws com.liferay.portal.kernel.exception.SystemException;

    /**
    * Returns the number of grupo destinatarios.
    *
    * @return the number of grupo destinatarios
    * @throws SystemException if a system exception occurred
    */
    public int countAll()
        throws com.liferay.portal.kernel.exception.SystemException;
}
