package br.mp.mprj.portal.portlet.gestaomensagens.service.service.persistence;

import br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow;

import com.liferay.portal.kernel.bean.PortletBeanLocatorUtil;
import com.liferay.portal.kernel.dao.orm.DynamicQuery;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.kernel.util.OrderByComparator;
import com.liferay.portal.kernel.util.ReferenceRegistry;
import com.liferay.portal.service.ServiceContext;

import java.util.List;

/**
 * The persistence utility for the mensagem workflow service. This utility wraps {@link MensagemWorkflowPersistenceImpl} and provides direct access to the database for CRUD operations. This utility should only be used by the service layer, as it must operate within a transaction. Never access this utility in a JSP, controller, model, or other front-end class.
 *
 * <p>
 * Caching information and settings can be found in <code>portal.properties</code>
 * </p>
 *
 * @author Henrique Simoes
 * @see MensagemWorkflowPersistence
 * @see MensagemWorkflowPersistenceImpl
 * @generated
 */
public class MensagemWorkflowUtil {
    private static MensagemWorkflowPersistence _persistence;

    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify this class directly. Modify <code>service.xml</code> and rerun ServiceBuilder to regenerate this class.
     */

    /**
     * @see com.liferay.portal.service.persistence.BasePersistence#clearCache()
     */
    public static void clearCache() {
        getPersistence().clearCache();
    }

    /**
     * @see com.liferay.portal.service.persistence.BasePersistence#clearCache(com.liferay.portal.model.BaseModel)
     */
    public static void clearCache(MensagemWorkflow mensagemWorkflow) {
        getPersistence().clearCache(mensagemWorkflow);
    }

    /**
     * @see com.liferay.portal.service.persistence.BasePersistence#countWithDynamicQuery(DynamicQuery)
     */
    public static long countWithDynamicQuery(DynamicQuery dynamicQuery)
        throws SystemException {
        return getPersistence().countWithDynamicQuery(dynamicQuery);
    }

    /**
     * @see com.liferay.portal.service.persistence.BasePersistence#findWithDynamicQuery(DynamicQuery)
     */
    public static List<MensagemWorkflow> findWithDynamicQuery(
        DynamicQuery dynamicQuery) throws SystemException {
        return getPersistence().findWithDynamicQuery(dynamicQuery);
    }

    /**
     * @see com.liferay.portal.service.persistence.BasePersistence#findWithDynamicQuery(DynamicQuery, int, int)
     */
    public static List<MensagemWorkflow> findWithDynamicQuery(
        DynamicQuery dynamicQuery, int start, int end)
        throws SystemException {
        return getPersistence().findWithDynamicQuery(dynamicQuery, start, end);
    }

    /**
     * @see com.liferay.portal.service.persistence.BasePersistence#findWithDynamicQuery(DynamicQuery, int, int, OrderByComparator)
     */
    public static List<MensagemWorkflow> findWithDynamicQuery(
        DynamicQuery dynamicQuery, int start, int end,
        OrderByComparator orderByComparator) throws SystemException {
        return getPersistence()
                   .findWithDynamicQuery(dynamicQuery, start, end,
            orderByComparator);
    }

    /**
     * @see com.liferay.portal.service.persistence.BasePersistence#update(com.liferay.portal.model.BaseModel)
     */
    public static MensagemWorkflow update(MensagemWorkflow mensagemWorkflow)
        throws SystemException {
        return getPersistence().update(mensagemWorkflow);
    }

    /**
     * @see com.liferay.portal.service.persistence.BasePersistence#update(com.liferay.portal.model.BaseModel, ServiceContext)
     */
    public static MensagemWorkflow update(MensagemWorkflow mensagemWorkflow,
        ServiceContext serviceContext) throws SystemException {
        return getPersistence().update(mensagemWorkflow, serviceContext);
    }

    /**
    * Returns all the mensagem workflows where uuid = &#63;.
    *
    * @param uuid the uuid
    * @return the matching mensagem workflows
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow> findByUuid(
        java.lang.String uuid)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findByUuid(uuid);
    }

    /**
    * Returns a range of all the mensagem workflows where uuid = &#63;.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.MensagemWorkflowModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param uuid the uuid
    * @param start the lower bound of the range of mensagem workflows
    * @param end the upper bound of the range of mensagem workflows (not inclusive)
    * @return the range of matching mensagem workflows
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow> findByUuid(
        java.lang.String uuid, int start, int end)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findByUuid(uuid, start, end);
    }

    /**
    * Returns an ordered range of all the mensagem workflows where uuid = &#63;.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.MensagemWorkflowModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param uuid the uuid
    * @param start the lower bound of the range of mensagem workflows
    * @param end the upper bound of the range of mensagem workflows (not inclusive)
    * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
    * @return the ordered range of matching mensagem workflows
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow> findByUuid(
        java.lang.String uuid, int start, int end,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findByUuid(uuid, start, end, orderByComparator);
    }

    /**
    * Returns the first mensagem workflow in the ordered set where uuid = &#63;.
    *
    * @param uuid the uuid
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the first matching mensagem workflow
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchMensagemWorkflowException if a matching mensagem workflow could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow findByUuid_First(
        java.lang.String uuid,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchMensagemWorkflowException,
            com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findByUuid_First(uuid, orderByComparator);
    }

    /**
    * Returns the first mensagem workflow in the ordered set where uuid = &#63;.
    *
    * @param uuid the uuid
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the first matching mensagem workflow, or <code>null</code> if a matching mensagem workflow could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow fetchByUuid_First(
        java.lang.String uuid,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().fetchByUuid_First(uuid, orderByComparator);
    }

    /**
    * Returns the last mensagem workflow in the ordered set where uuid = &#63;.
    *
    * @param uuid the uuid
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the last matching mensagem workflow
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchMensagemWorkflowException if a matching mensagem workflow could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow findByUuid_Last(
        java.lang.String uuid,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchMensagemWorkflowException,
            com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findByUuid_Last(uuid, orderByComparator);
    }

    /**
    * Returns the last mensagem workflow in the ordered set where uuid = &#63;.
    *
    * @param uuid the uuid
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the last matching mensagem workflow, or <code>null</code> if a matching mensagem workflow could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow fetchByUuid_Last(
        java.lang.String uuid,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().fetchByUuid_Last(uuid, orderByComparator);
    }

    /**
    * Returns the mensagem workflows before and after the current mensagem workflow in the ordered set where uuid = &#63;.
    *
    * @param mensagemWorkflowId the primary key of the current mensagem workflow
    * @param uuid the uuid
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the previous, current, and next mensagem workflow
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchMensagemWorkflowException if a mensagem workflow with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow[] findByUuid_PrevAndNext(
        long mensagemWorkflowId, java.lang.String uuid,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchMensagemWorkflowException,
            com.liferay.portal.kernel.exception.SystemException {
        return getPersistence()
                   .findByUuid_PrevAndNext(mensagemWorkflowId, uuid,
            orderByComparator);
    }

    /**
    * Removes all the mensagem workflows where uuid = &#63; from the database.
    *
    * @param uuid the uuid
    * @throws SystemException if a system exception occurred
    */
    public static void removeByUuid(java.lang.String uuid)
        throws com.liferay.portal.kernel.exception.SystemException {
        getPersistence().removeByUuid(uuid);
    }

    /**
    * Returns the number of mensagem workflows where uuid = &#63;.
    *
    * @param uuid the uuid
    * @return the number of matching mensagem workflows
    * @throws SystemException if a system exception occurred
    */
    public static int countByUuid(java.lang.String uuid)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().countByUuid(uuid);
    }

    /**
    * Returns all the mensagem workflows where mensagemId = &#63;.
    *
    * @param mensagemId the mensagem ID
    * @return the matching mensagem workflows
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow> findByMensagemId(
        long mensagemId)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findByMensagemId(mensagemId);
    }

    /**
    * Returns a range of all the mensagem workflows where mensagemId = &#63;.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.MensagemWorkflowModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param mensagemId the mensagem ID
    * @param start the lower bound of the range of mensagem workflows
    * @param end the upper bound of the range of mensagem workflows (not inclusive)
    * @return the range of matching mensagem workflows
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow> findByMensagemId(
        long mensagemId, int start, int end)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findByMensagemId(mensagemId, start, end);
    }

    /**
    * Returns an ordered range of all the mensagem workflows where mensagemId = &#63;.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.MensagemWorkflowModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param mensagemId the mensagem ID
    * @param start the lower bound of the range of mensagem workflows
    * @param end the upper bound of the range of mensagem workflows (not inclusive)
    * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
    * @return the ordered range of matching mensagem workflows
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow> findByMensagemId(
        long mensagemId, int start, int end,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence()
                   .findByMensagemId(mensagemId, start, end, orderByComparator);
    }

    /**
    * Returns the first mensagem workflow in the ordered set where mensagemId = &#63;.
    *
    * @param mensagemId the mensagem ID
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the first matching mensagem workflow
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchMensagemWorkflowException if a matching mensagem workflow could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow findByMensagemId_First(
        long mensagemId,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchMensagemWorkflowException,
            com.liferay.portal.kernel.exception.SystemException {
        return getPersistence()
                   .findByMensagemId_First(mensagemId, orderByComparator);
    }

    /**
    * Returns the first mensagem workflow in the ordered set where mensagemId = &#63;.
    *
    * @param mensagemId the mensagem ID
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the first matching mensagem workflow, or <code>null</code> if a matching mensagem workflow could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow fetchByMensagemId_First(
        long mensagemId,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence()
                   .fetchByMensagemId_First(mensagemId, orderByComparator);
    }

    /**
    * Returns the last mensagem workflow in the ordered set where mensagemId = &#63;.
    *
    * @param mensagemId the mensagem ID
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the last matching mensagem workflow
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchMensagemWorkflowException if a matching mensagem workflow could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow findByMensagemId_Last(
        long mensagemId,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchMensagemWorkflowException,
            com.liferay.portal.kernel.exception.SystemException {
        return getPersistence()
                   .findByMensagemId_Last(mensagemId, orderByComparator);
    }

    /**
    * Returns the last mensagem workflow in the ordered set where mensagemId = &#63;.
    *
    * @param mensagemId the mensagem ID
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the last matching mensagem workflow, or <code>null</code> if a matching mensagem workflow could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow fetchByMensagemId_Last(
        long mensagemId,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence()
                   .fetchByMensagemId_Last(mensagemId, orderByComparator);
    }

    /**
    * Returns the mensagem workflows before and after the current mensagem workflow in the ordered set where mensagemId = &#63;.
    *
    * @param mensagemWorkflowId the primary key of the current mensagem workflow
    * @param mensagemId the mensagem ID
    * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
    * @return the previous, current, and next mensagem workflow
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchMensagemWorkflowException if a mensagem workflow with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow[] findByMensagemId_PrevAndNext(
        long mensagemWorkflowId, long mensagemId,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchMensagemWorkflowException,
            com.liferay.portal.kernel.exception.SystemException {
        return getPersistence()
                   .findByMensagemId_PrevAndNext(mensagemWorkflowId,
            mensagemId, orderByComparator);
    }

    /**
    * Removes all the mensagem workflows where mensagemId = &#63; from the database.
    *
    * @param mensagemId the mensagem ID
    * @throws SystemException if a system exception occurred
    */
    public static void removeByMensagemId(long mensagemId)
        throws com.liferay.portal.kernel.exception.SystemException {
        getPersistence().removeByMensagemId(mensagemId);
    }

    /**
    * Returns the number of mensagem workflows where mensagemId = &#63;.
    *
    * @param mensagemId the mensagem ID
    * @return the number of matching mensagem workflows
    * @throws SystemException if a system exception occurred
    */
    public static int countByMensagemId(long mensagemId)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().countByMensagemId(mensagemId);
    }

    /**
    * Caches the mensagem workflow in the entity cache if it is enabled.
    *
    * @param mensagemWorkflow the mensagem workflow
    */
    public static void cacheResult(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow mensagemWorkflow) {
        getPersistence().cacheResult(mensagemWorkflow);
    }

    /**
    * Caches the mensagem workflows in the entity cache if it is enabled.
    *
    * @param mensagemWorkflows the mensagem workflows
    */
    public static void cacheResult(
        java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow> mensagemWorkflows) {
        getPersistence().cacheResult(mensagemWorkflows);
    }

    /**
    * Creates a new mensagem workflow with the primary key. Does not add the mensagem workflow to the database.
    *
    * @param mensagemWorkflowId the primary key for the new mensagem workflow
    * @return the new mensagem workflow
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow create(
        long mensagemWorkflowId) {
        return getPersistence().create(mensagemWorkflowId);
    }

    /**
    * Removes the mensagem workflow with the primary key from the database. Also notifies the appropriate model listeners.
    *
    * @param mensagemWorkflowId the primary key of the mensagem workflow
    * @return the mensagem workflow that was removed
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchMensagemWorkflowException if a mensagem workflow with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow remove(
        long mensagemWorkflowId)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchMensagemWorkflowException,
            com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().remove(mensagemWorkflowId);
    }

    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow updateImpl(
        br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow mensagemWorkflow)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().updateImpl(mensagemWorkflow);
    }

    /**
    * Returns the mensagem workflow with the primary key or throws a {@link br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchMensagemWorkflowException} if it could not be found.
    *
    * @param mensagemWorkflowId the primary key of the mensagem workflow
    * @return the mensagem workflow
    * @throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchMensagemWorkflowException if a mensagem workflow with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow findByPrimaryKey(
        long mensagemWorkflowId)
        throws br.mp.mprj.portal.portlet.gestaomensagens.service.NoSuchMensagemWorkflowException,
            com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findByPrimaryKey(mensagemWorkflowId);
    }

    /**
    * Returns the mensagem workflow with the primary key or returns <code>null</code> if it could not be found.
    *
    * @param mensagemWorkflowId the primary key of the mensagem workflow
    * @return the mensagem workflow, or <code>null</code> if a mensagem workflow with the primary key could not be found
    * @throws SystemException if a system exception occurred
    */
    public static br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow fetchByPrimaryKey(
        long mensagemWorkflowId)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().fetchByPrimaryKey(mensagemWorkflowId);
    }

    /**
    * Returns all the mensagem workflows.
    *
    * @return the mensagem workflows
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow> findAll()
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findAll();
    }

    /**
    * Returns a range of all the mensagem workflows.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.MensagemWorkflowModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param start the lower bound of the range of mensagem workflows
    * @param end the upper bound of the range of mensagem workflows (not inclusive)
    * @return the range of mensagem workflows
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow> findAll(
        int start, int end)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findAll(start, end);
    }

    /**
    * Returns an ordered range of all the mensagem workflows.
    *
    * <p>
    * Useful when paginating results. Returns a maximum of <code>end - start</code> instances. <code>start</code> and <code>end</code> are not primary keys, they are indexes in the result set. Thus, <code>0</code> refers to the first result in the set. Setting both <code>start</code> and <code>end</code> to {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS} will return the full result set. If <code>orderByComparator</code> is specified, then the query will include the given ORDER BY logic. If <code>orderByComparator</code> is absent and pagination is required (<code>start</code> and <code>end</code> are not {@link com.liferay.portal.kernel.dao.orm.QueryUtil#ALL_POS}), then the query will include the default ORDER BY logic from {@link br.mp.mprj.portal.portlet.gestaomensagens.service.model.impl.MensagemWorkflowModelImpl}. If both <code>orderByComparator</code> and pagination are absent, for performance reasons, the query will not have an ORDER BY clause and the returned result set will be sorted on by the primary key in an ascending order.
    * </p>
    *
    * @param start the lower bound of the range of mensagem workflows
    * @param end the upper bound of the range of mensagem workflows (not inclusive)
    * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
    * @return the ordered range of mensagem workflows
    * @throws SystemException if a system exception occurred
    */
    public static java.util.List<br.mp.mprj.portal.portlet.gestaomensagens.service.model.MensagemWorkflow> findAll(
        int start, int end,
        com.liferay.portal.kernel.util.OrderByComparator orderByComparator)
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().findAll(start, end, orderByComparator);
    }

    /**
    * Removes all the mensagem workflows from the database.
    *
    * @throws SystemException if a system exception occurred
    */
    public static void removeAll()
        throws com.liferay.portal.kernel.exception.SystemException {
        getPersistence().removeAll();
    }

    /**
    * Returns the number of mensagem workflows.
    *
    * @return the number of mensagem workflows
    * @throws SystemException if a system exception occurred
    */
    public static int countAll()
        throws com.liferay.portal.kernel.exception.SystemException {
        return getPersistence().countAll();
    }

    public static MensagemWorkflowPersistence getPersistence() {
        if (_persistence == null) {
            _persistence = (MensagemWorkflowPersistence) PortletBeanLocatorUtil.locate(br.mp.mprj.portal.portlet.gestaomensagens.service.service.ClpSerializer.getServletContextName(),
                    MensagemWorkflowPersistence.class.getName());

            ReferenceRegistry.registerReference(MensagemWorkflowUtil.class,
                "_persistence");
        }

        return _persistence;
    }

    /**
     * @deprecated As of 6.2.0
     */
    public void setPersistence(MensagemWorkflowPersistence persistence) {
    }
}
